# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

# Values come from the Redfish Fabric json-schema 1.0.4:
# http://redfish.dmtf.org/schemas/v1/Fabric.v1_0_4.json#/definitions/Fabric

# Fabric Types constants

FABRIC_TYPE_AHCI = 'Advanced Host Controller Interface'
FABRIC_TYPE_FC = 'Fibre Channel'
FABRIC_TYPE_FCP = 'Fibre Channel Protocol for SCSI'
FABRIC_TYPE_FCoE = 'Fibre Channel over Ethernet'
FABRIC_TYPE_FICON = 'FIbre CONnection (FICON)'
FABRIC_TYPE_FTP = 'File Transfer Protocol'
FABRIC_TYPE_HTTP = 'Hypertext Transport Protocol'
FABRIC_TYPE_HTTPS = 'Secure Hypertext Transport Protocol'
FABRIC_TYPE_I2C = 'Inter-Integrated Circuit Bus'
FABRIC_TYPE_NFSv3 = 'Network File System version 3'
FABRIC_TYPE_NFSv4 = 'Network File System version 4'
FABRIC_TYPE_NVMe = 'Non-Volatile Memory Express'
FABRIC_TYPE_NVMeOverFabrics = 'NVMe over Fabrics'
FABRIC_TYPE_OEM = 'OEM specific'
FABRIC_TYPE_PCIe = 'PCI Express'
FABRIC_TYPE_RoCE = 'RDMA over Converged Ethernet Protocol'
FABRIC_TYPE_RoCEv2 = 'RDMA over Converged Ethernet Protocol Version 2'
FABRIC_TYPE_SAS = 'Serial Attached SCSI'
FABRIC_TYPE_SATA = 'Serial AT Attachment'
FABRIC_TYPE_SFTP = 'Secure File Transfer Protocol'
FABRIC_TYPE_SMB = 'Server Message Block (aka CIFS Common Internet File System)'
FABRIC_TYPE_UHCI = 'Universal Host Controller Interface'
FABRIC_TYPE_USB = 'Universal Serial Bus'
FABRIC_TYPE_iSCSI = 'Internet SCSI'
FABRIC_TYPE_iWARP = 'Internet Wide Area Remote Direct Memory Access Protocol'
